CADxp: inserer un bloc au milieu d'une polyligne carré - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

inserer un bloc au milieu d'une polyligne carré

#1 L'utilisateur est hors-ligne   sechanbask 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1016
  • Inscrit(e) : 06-octobre 06
  • LocationPoitiers

Posté 14 juin 2018 - 14:00

Bonjour,

Je cherche un programme pour insérer un bloc au milieu d'une polyligne carré.


voir mon plan, mais ce n'est qu'un exemple


http://srf.atenbet.f...ouds/trappe.zip

D'abord, est-ce que c'est possible ? est-ce que vous connaissait un code pour faire ça ?
ATEGIE - Bureau d'Études Fluides
Image IPB
Exécution, Synthèse, Conception, Maîtrise d'Oeuvre, Audit, Chiffrage
www.ategie.fr
0

#2 L'utilisateur est hors-ligne   pbrion 

  • ceinture noire
  • Groupe : Membres
  • Messages : 418
  • Inscrit(e) : 28-mars 05

Posté 14 juin 2018 - 15:09

Bonjour,

Il suffit d'utiliser l'accrochage "Centre géométrique" !
0

#3 L'utilisateur est hors-ligne   sechanbask 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1016
  • Inscrit(e) : 06-octobre 06
  • LocationPoitiers

Posté 14 juin 2018 - 15:26

J'en ai des centaines et des centaines...
Mais je crois que j'ai trouvé un lisp de GIL que je vais tenter d'adapter
ATEGIE - Bureau d'Études Fluides
Image IPB
Exécution, Synthèse, Conception, Maîtrise d'Oeuvre, Audit, Chiffrage
www.ategie.fr
0

#4 L'utilisateur est hors-ligne   Steven 

  • ceinture rouge et blanche 7em dan
  • Groupe : Membres
  • Messages : 3594
  • Inscrit(e) : 03-mars 03
  • LocationDans le TARDIS

Posté 14 juin 2018 - 15:36

Voir le messagepbrion, le 14 juin 2018 - 15:09 , dit :

Bonjour,

Il suffit d'utiliser l'accrochage "Centre géométrique" !

Un peu rapide comme réponse.
Ne connaissant pas la version d'AutoCAD avec laquelle travaille sechanbask, il y a aussi l'accrochage "Milieu entre 2 points" qui lui, existe depuis la version 2006, il me semble. L'accrochage "Centre géométrique" n'existe, sur AutoCAD que depuis la version 2015 (Il existait déjà sur ZwCAD depuis quelques versions.)
Avant que ces accrochages provisoires n'apparaissent dans le menu contextuel des accrochages aux objets, il fallait taper, dans la ligne de commande: "MEE" ( Middle End to End) pour avoir l'accrochage du milieu entre deux points.
Steven________________________________________
Pour le taf; Windows (et ses emmerdes) sinon pas d'AutoCAD.
Pour la maison; Linux Mint et pas de problèmes. Mais pas d'AutoCAD.
En rêve; AutoCAD sous Linux.
0

#5 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8232
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 14 juin 2018 - 18:48

Coucou
vite fait sans vrais contrôles :
(defun c:sechanbask ( / entvla coords pins)
(setvar "osmode" 0)
(setq entvla (vlax-ename->vla-object (car (entsel "\nChoix de l'entité\n"))))
(setq coords (vlax-safearray->list
		  	(vlax-variant-value
			(vlax-get-property entvla 'coordinates)
			)
		  	)
  	)
(setq pins (list
	 	(/ (+ (nth 0 coords)(nth 4 coords))2.0)
	 	(/ (+ (nth 1 coords)(nth 5 coords))2.0)
	 	)
  	)
(command "_insert" "toto" pins "1" "1" "0")
  )


Éternel débutant ...
Programmer AutoCAD
0

#6 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7056
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

  Posté 15 juin 2018 - 06:46

Salut Steven,

Tu as une année de décalage... Image IPB Milieu entre 2 Points qui curieusement n'a TOUJOURS PAS D'ICONE existe depuis la 2005 ???

Le Centre Géométrique depuis la 2016...

Christian


Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)